package com.fs.store.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

/**
 * 优惠券发放记录对象 fs_store_coupon_user
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsStoreCouponUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 优惠券发放记录id */
    private Long id;

    /** 兑换的项目id */
    @Excel(name = "兑换的项目id")
    private Long couponId;

    /** 优惠券所属用户 */
    @Excel(name = "优惠券所属用户")
    private Long userId;

    /** 优惠券名称 */
    @Excel(name = "优惠券名称")
    private String couponTitle;

    /** 优惠券的面值 */
    @Excel(name = "优惠券的面值")
    private BigDecimal couponPrice;

    /** 最低消费多少金额可用优惠券 */
    @Excel(name = "最低消费多少金额可用优惠券")
    private BigDecimal useMinPrice;

    /** 优惠券结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "优惠券结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date limitTime;

    /** 使用时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "使用时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date useTime;

    /** 获取方式 */
    @Excel(name = "获取方式")
    private String type;

    /** 状态（0：未使用，1：已使用, 2:已过期） */
    @Excel(name = "状态", readConverterExp = "0=：未使用，1：已使用,,2=:已过期")
    private Integer status;

    /** 是否有效 */
    @Excel(name = "是否有效")
    private Integer isFail;

    /** $column.columnComment */
    @Excel(name = "是否有效")
    private Integer isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCouponId(Long couponId) 
    {
        this.couponId = couponId;
    }

    public Long getCouponId() 
    {
        return couponId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setCouponTitle(String couponTitle) 
    {
        this.couponTitle = couponTitle;
    }

    public String getCouponTitle() 
    {
        return couponTitle;
    }
    public void setCouponPrice(BigDecimal couponPrice) 
    {
        this.couponPrice = couponPrice;
    }

    public BigDecimal getCouponPrice() 
    {
        return couponPrice;
    }
    public void setUseMinPrice(BigDecimal useMinPrice) 
    {
        this.useMinPrice = useMinPrice;
    }

    public BigDecimal getUseMinPrice() 
    {
        return useMinPrice;
    }

    public Date getLimitTime() {
        return limitTime;
    }

    public void setLimitTime(Date limitTime) {
        this.limitTime = limitTime;
    }

    public void setUseTime(Date useTime)
    {
        this.useTime = useTime;
    }

    public Date getUseTime() 
    {
        return useTime;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setIsFail(Integer isFail) 
    {
        this.isFail = isFail;
    }

    public Integer getIsFail() 
    {
        return isFail;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }


}
